library ac_dart.addon_routebuilder.standard;

import 'package:atlassian_connect_shelf/src/router/common/common_routes.dart';
import 'package:atlassian_connect_host/atlassian_connect_host.dart';

/// standard routes (i.e. for non hipchat)
abstract class StandardAddonRouterBuilder<S extends Scope>
    implements CommonAddonRouterBuilder<S> {
  void addWebhook(path, String event, String name, Function handler,
      {Map<String, Object> params: const {}});

  void addSpaGeneralPage(path, String key, String name, ModuleLocation location,
      {String spaBasePath,
      String fragmentPath,
      Map<String, String> additionalUriFragment: const {}});

  void addSpaAdminPage(path, String key, String name, ModuleLocation location,
      {String spaBasePath,
      String fragmentPath,
      Map<String, String> additionalUriFragment: const {}});
}
