library ac_dart.descriptor.builder;

import 'package:atlassian_connect_host/atlassian_connect_host.dart';
import 'package:mojito/mojito.dart'
    show ClientId, DefaultRoutePath, DefaultRouter, Oauth2RouteNames;

abstract class DescriptorBuilder<M extends ModuleList, S extends Scope,
    A extends BaseConnectAddon<M>> {
  static const String installationRouteName = 'acdart.installation.route';

  A build(DefaultRouter rootRouter, Vendor vendor,
      {String name,
      String description,
      ClientId oauthClientId,
      Iterable<S> scopes});
}
