library ac_dart.descriptor.builder.standard;

import 'package:atlassian_connect_host/atlassian_connect_host.dart';
import 'package:atlassian_connect_shelf/src/descriptor_builders/descriptor_builder.dart';

abstract class StandardDescriptorBuilder<M extends ModuleList, S extends Scope,
    A extends ConnectAddon<M, S>> implements DescriptorBuilder<M, S, A> {
  void addPage(
      String moduleType, String key, String name, ModuleLocation location);
  void addGeneralPage(String key, String name, ModuleLocation location);
  void addAdminPage(String key, String name, ModuleLocation location);
  void addWebhook(String event, String name, Map<String, Object> params);
}
