library ac_dart.addon_routebuilder.bitbucket;

import 'package:atlassian_connect_shelf/src/router/common/standard_routes.dart';
import 'package:atlassian_connect_host/atlassian_connect_host.dart';

abstract class BitbucketRouterBuilder
    implements StandardAddonRouterBuilder<BitbucketScope> {
  void addSpaRepoPage(path, String key, String name, BitbucketLocation location,
      {String spaBasePath,
      String fragmentPath,
      Map<String, String> additionalUriFragment: const {}});

  void addSpaGeneralPage(
      path, String key, String name, BitbucketLocation location,
      {String spaBasePath,
      String fragmentPath,
      Map<String, String> additionalUriFragment: const {}});

  void addSpaAdminPage(
      path, String key, String name, BitbucketLocation location,
      {String spaBasePath,
      String fragmentPath,
      Map<String, String> additionalUriFragment: const {}});
}
